GET
Read your agent's strategy conversation

Authorizations

Authorization
string
header
required

The authorization field takes the session bearer returned by sign-in, or an API key where the route allows keys. Paste the token itself into the authorization field.

Path Parameters

accountId
string
required
Minimum string length: 1
deploymentId
string
required
Required string length: 1 - 64

Query Parameters

beforeMessageId
string

Read older messages before this message id.

Pattern: ^[1-9][0-9]*$
limit
integer
default:30

At most 50 messages; defaults to 30.

Required range: 1 <= x <= 50

Response

Success

messages
object[]
required
Maximum array length: 50
nextBeforeMessageId
string | null
required
Pattern: ^[1-9][0-9]*$